com.impinj.octane

## Class TagSelectFilter

- java.lang.Object
- - com.impinj.octane.TagSelectFilter

-     public class TagSelectFilter
      extends java.lang.Object

  A class to hold the configuration of an inventory select command. Tag inventory filters are applied during the reader inventory operation. These inventory filters are built from gen2 select commands.
  See Also:
    Gen2 Standard page 58

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagSelectFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBitCount()`
    `int` | `getBitPointer()`
    `TagFilterStateUnawareAction` | `getMatchingAction()`
    `MemoryBank` | `getMemoryBank()`
    `TagFilterStateUnawareAction` | `getNonMatchingAction()`
    `java.lang.String` | `getTagMask()`
    `void` | `setBitCount(long bitCount)`
    `void` | `setBitPointer(int bitPointer)`
    `void` | `setMatchingAction(TagFilterStateUnawareAction matchingAction)`
    `void` | `setMemoryBank(MemoryBank memoryBank)`
    `void` | `setNonMatchingAction(TagFilterStateUnawareAction nonMatchingAction)`
    `void` | `setTagMask(java.lang.String tagMask)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagSelectFilter

          public TagSelectFilter()

  - ### Method Detail

    - #### getTagMask

          public java.lang.String getTagMask()

      Returns:
        the tag mask to use in the tag inventory filter

    - #### setTagMask

          public void setTagMask(java.lang.String tagMask)

      Parameters:
        `tagMask` - the tag mask to use for the inventory operation. Specified as a hex string a series of 0-9a-fA-F characters with no spaces

    - #### getBitPointer

          public int getBitPointer()

      Returns:
        the starting bit position to apply the tag mask when performing tag filtering

    - #### setBitPointer

          public void setBitPointer(int bitPointer)

      Parameters:
        `bitPointer` - the starting bit position to apply the tag mask when performing tag filtering

    - #### getBitCount

          public long getBitCount()

      Returns:
        the number of bits to compare against the mask starting with the bit pointer.

    - #### setBitCount

          public void setBitCount(long bitCount)

      Parameters:
        `bitCount` - the number of bits to compare against the mask starting with the bit pointer.

    - #### getMemoryBank

          public MemoryBank getMemoryBank()

      Returns:
        which memory bank to use to perform the data comparison

    - #### setMemoryBank

          public void setMemoryBank(MemoryBank memoryBank)

      Parameters:
        `memoryBank` - which memory bank to use to perform the data comparison

    - #### getMatchingAction

          public TagFilterStateUnawareAction getMatchingAction()

      Returns:
        the action performed when the filter matches

    - #### setMatchingAction

          public void setMatchingAction(TagFilterStateUnawareAction matchingAction)

      Parameters:
        `matchingAction` - the action to perform when the filter matches

    - #### getNonMatchingAction

          public TagFilterStateUnawareAction getNonMatchingAction()

      Returns:
        the action performed when the filter doesn't match

    - #### setNonMatchingAction

          public void setNonMatchingAction(TagFilterStateUnawareAction nonMatchingAction)

      Parameters:
        `nonMatchingAction` - the action to perform when the filter doesn't match